###########
#   Meta  #
###########
skip_bootstrap:       false
skip_common:          false
skip_docker:          false
skip_dockerized_app:  false
skip_post_deployment: false

###########
# General #
###########
env: vagrant
domain: local.cdn.peli.me
persistent_storage_path: /persistent_storage
logs_path: "{{persistent_storage_path}}/logs"

system_users:
  - username: ansible
    password: '{{vault_ansible_password}}' #openssl passwd -salt salt -1 'same'
    groups: ['wheel']
    shell: /bin/bash

#proxy_host: proxy.{{domain}}
#proxy_port: 8080
#http_proxy: http://{{vault_proxy_user}}:{{vault_proxy_password}}@{{proxy_host}}:{{proxy_port}}
#no_proxy: localhost,*{{domain}}

##########
# Docker #
##########
docker_edition: 'ce' #Community Edition or 'ee' for Enterprise Edition
docker_repo_url: 'https://download.docker.com/linux/centos/docker-{{docker_edition}}.repo'
docker_gpg_key_url: 'https://download.docker.com/linux/centos/gpg'
docker_version: 17.09.0
docker_py_version: 2.5.1

docker_daemon_tcp_port: 2375
docker_daemon_memory_maxpct: 90
docker_daemon_CPU_maxpct: 90
docker_restart_policy_retry: 5
docker_containers_log_path: "{{logs_path}}/docker/containers"
docker_containers_volume_path: "{{persistent_storage_path}}/volumes/docker/containers"
docker_registries:
  - "registry.{{domain}}"

docker_admin_users:
  - "{{ansible_user}}"

#https://docs.docker.com/engine/userguide/storagedriver/selectadriver/
#docker_storage_driver:  'overlay'
docker_storage_driver: 'overlay2'
#docker_storage_driver: 'devicemapper'

#only evaluated when docker_storage_driver == devicemapper
docker_volume_disks:           #optional
  - /dev/sdb
  - /dev/sdc
  - /dev/sdd
docker_volume_group: vg_docker #required

##################
# Docker compose #
##################
docker_compose_version: 1.22.0
docker_compose_path: /etc/docker/compose

##########################
# Dockerized: app        #
##########################
#app_compose: docker-compose-cherry-ssl.prod.yml

#app_compose: docker-compose-bjoern-ssl.dev.yml
app_compose: docker-compose-cherry-ssl.dev.yml
#app_compose: docker-compose-gunicorn-ssl.dev.yml

#app_compose: docker-compose-bjoern.dev.yml
#app_compose: docker-compose-cherry.dev.yml
#app_compose: docker-compose-gunicorn.dev.yml
#app_compose: docker-compose-werkzeug.dev.yml
